nova-cloud-controller, ceph and nova-compute charm amulet tests fail with librbd1 issues

Bug #1440953 reported by Ryan Beisner on 2015-04-07
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceph (Juju Charms Collection)
Undecided
Ryan Beisner
nova-cloud-controller (Juju Charms Collection)
Undecided
Ryan Beisner
nova-compute (Juju Charms Collection)
Undecided
Ryan Beisner

Bug Description

The nova-compute librbd1 issue affects the amulet tests for nova-cloud-controller, nova-compute, and ceph.

Precise-Icehouse: nova-cloud-controller and nova-compute (next + stable) charm amulet tests fail with: instance creation timed out.

00:04:20.660 juju-test.conductor.14-basic-precise-icehouse DEBUG : Running 14-basic-precise-icehouse (tests/14-basic-precise-icehouse)
00:04:44.500 2015-04-07 02:22:26 Starting deployment of osci-sv18
00:05:16.170 2015-04-07 02:22:57 Deploying services...
00:05:16.548 2015-04-07 02:22:58 Deploying service glance using local:precise/glance
00:05:21.675 2015-04-07 02:23:03 Deploying service keystone using local:precise/keystone
00:05:26.529 2015-04-07 02:23:08 Deploying service mysql using local:precise/mysql
00:05:31.455 2015-04-07 02:23:13 Deploying service nova-cloud-controller using local:precise/nova-cloud-controller
00:05:36.434 2015-04-07 02:23:18 Deploying service nova-compute using local:precise/nova-compute
00:05:41.620 2015-04-07 02:23:23 Deploying service rabbitmq-server using local:precise/rabbitmq-server
00:08:35.741 2015-04-07 02:26:17 Adding relations...
00:08:36.217 2015-04-07 02:26:17 Adding relation nova-cloud-controller:image-service <-> glance:image-service
00:08:36.531 2015-04-07 02:26:18 Adding relation glance:shared-db <-> mysql:shared-db
00:08:36.897 2015-04-07 02:26:18 Adding relation nova-cloud-controller:identity-service <-> keystone:identity-service
00:08:37.218 2015-04-07 02:26:18 Adding relation nova-compute:amqp <-> rabbitmq-server:amqp
00:08:37.545 2015-04-07 02:26:19 Adding relation nova-cloud-controller:shared-db <-> mysql:shared-db
00:08:37.875 2015-04-07 02:26:19 Adding relation nova-cloud-controller:cloud-compute <-> nova-compute:cloud-compute
00:08:38.204 2015-04-07 02:26:19 Adding relation glance:identity-service <-> keystone:identity-service
00:08:38.529 2015-04-07 02:26:20 Adding relation nova-compute:shared-db <-> mysql:shared-db
00:08:38.851 2015-04-07 02:26:20 Adding relation glance:amqp <-> rabbitmq-server:amqp
00:08:39.180 2015-04-07 02:26:20 Adding relation keystone:shared-db <-> mysql:shared-db
00:08:39.504 2015-04-07 02:26:21 Adding relation nova-cloud-controller:amqp <-> rabbitmq-server:amqp
00:08:39.829 2015-04-07 02:26:21 Adding relation nova-compute:image-service <-> glance:image-service
00:09:40.592 2015-04-07 02:27:22 Deployment complete in 296.31 seconds
juju-test.conductor.14-basic-precise-icehouse DEBUG : 2015-04-07 02:30:50,820 create_instance ERROR: instance creation timed out

nova-compute next revno: 117
nova-cloud-controler next revno: 150

nova-compute stable revno: 110
nova-cloud-controler stable revno: 142

Related branches

Ryan Beisner (1chb1n) on 2015-04-07
summary: - nova-cloud-controller and nova-compute next charm amulet tests fail
- with: instance creation timed out
+ nova-cloud-controller and nova-compute (next + stable) charm amulet
+ tests fail with: instance creation timed out
description: updated
description: updated
summary: - nova-cloud-controller and nova-compute (next + stable) charm amulet
- tests fail with: instance creation timed out
+ nova-cloud-controller and nova-compute (Precise-Icehouse, next + stable)
+ charm amulet tests fail with: instance creation timed out
Ryan Beisner (1chb1n) wrote :

nova instance creation errored with: No valid host was found.

glance images are present and accounted for.

nova services are ok.

there are no nova-compute hypervisors registered.

http://paste.ubuntu.com/10818778/

Ryan Beisner (1chb1n) wrote :

# nova-compute node:
ubuntu@juju-osci-sv08-machine-5:~$ qemu-img list
qemu-img: symbol lookup error: qemu-img: undefined symbol: rbd_aio_discard

It looks like we do still need to explicitly install librbd1 in the nova-compute charm, instead of relying on ceph-common to call for it.

Ryan Beisner (1chb1n) on 2015-04-15
Changed in ceph (Juju Charms Collection):
assignee: nobody → Ryan Beisner (1chb1n)
Changed in nova-cloud-controller (Juju Charms Collection):
assignee: nobody → Ryan Beisner (1chb1n)
Changed in nova-compute (Juju Charms Collection):
assignee: nobody → Ryan Beisner (1chb1n)
description: updated
Ryan Beisner (1chb1n) on 2015-04-15
summary: - nova-cloud-controller and nova-compute (Precise-Icehouse, next + stable)
- charm amulet tests fail with: instance creation timed out
+ nova-cloud-controller, ceph and nova-compute charm amulet tests fail
+ librbd1 issues
summary: nova-cloud-controller, ceph and nova-compute charm amulet tests fail
- librbd1 issues
+ with librbd1 issues
James Page (james-page) on 2015-09-04
Changed in nova-cloud-controller (Juju Charms Collection):
status: New → Fix Released
Changed in nova-compute (Juju Charms Collection):
status: New → Fix Released
Changed in ceph (Juju Charms Collection):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers